<?php
// WizyTówka 4
if (!defined('WT')) exit();


$odczytStrony = odczytStrony( ID2, $_GET['szkic'] );

if ( $odczytStrony != false ) {
	$odczytTypu = odczytTypuMotywu( 'typy', $odczytStrony['typ'] );
	if ( $odczytTypu['wlasny'] )
		$lokalizacjaTypu = DANE;
	else
		$lokalizacjaTypu = SYSTEM;
}

$wtUstawieniaStrony = &$odczytStrony;  // dla kodu typów zawartości stron
$wtDoZapisu         = null;                // dla kodu typów zawartości stron
$wtKomunikat        = null;            // dla kodu typów zawartości stron

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $odczytStrony != false and $odczytTypu != false ) {

	if ( $odczytTypu['informacje']['ustawienia'] ) {
		$wtPrzedZapisaniemUstawien = true;
		include( $lokalizacjaTypu . '/typy/' . $odczytStrony['typ'] . '/ustawienia.php' );
	}

	if ( empty($_POST['tytulMenu']) )
		$_POST['tytulMenu']  = $_POST['tytul'];
	if ( empty($_POST['tytulTitle']) )
		$_POST['tytulTitle'] = $_POST['tytul'];

	$_POST['wyszukiwarkiOpis'] = str_replace( "\n", ' ', $_POST['wyszukiwarkiOpis'] );

	$nowyIdentyfikator = $_POST['identyfikator'];
	unset( $_POST['identyfikator'] );

	if ( $_GET['szkic'] )
		zapisPlikuWTKFormularz ( $wtDoZapisu, 'szkice/' . ID2 . '.wtk' );
	else
		zapisPlikuWTKFormularz ( $wtDoZapisu, 'strony/' . ID2 . '.wtk' );

	if ( ID2 != $nowyIdentyfikator and !empty($nowyIdentyfikator) ) {

		$nowyIdentyfikator = prostaNazwa($nowyIdentyfikator);

		if ( !sprawdzNazwe($nowyIdentyfikator) )
			komunikat('zle.Identyfikator <strong>' . $nowyIdentyfikator . '</strong> jest niepoprawny.');

		elseif ( odczytStrony($nowyIdentyfikator) != false or odczytStrony($nowyIdentyfikator,true) != false )
			komunikat('zle.Strona z identyfikatorem <strong>' . $nowyIdentyfikator . '</strong> już istnieje. Wybierz inny identyfikator.');

		else {

			if ( $szkic )
				$lokalizacja = 'szkice';

			else {

				$lokalizacja = 'strony';

				if ( odczytKonf('stronaGlowna') == ID2 )                     // aktualizacja menu i strony gł. przy zmianie ID
					zapisKonf( array( 'stronaGlowna' => $nowyIdentyfikator ) );

				$odczytElementow = odczytPlikuWTK('elementy.wtk');

				foreach ( $odczytElementow['menu'] as $nazwaTegoMenu => $tablicaTegoMenu ) {
					foreach ( $tablicaTegoMenu as $klucz => $elementMenu ) {
						if ( $elementMenu == ID2 )
							$odczytElementow['menu'][ $nazwaTegoMenu ][ $klucz ] = $nowyIdentyfikator;
					}
				}

				zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );

			}

			przemianujPlik( DANE . '/' . $lokalizacja . '/' . ID2 . '.wtk' , DANE . '/' . $lokalizacja . '/' . $nowyIdentyfikator . '.wtk' );
			przemianujPlik( DANE . '/' . $lokalizacja . '/' . ID2 . '.wtz' , DANE . '/' . $lokalizacja . '/' . $nowyIdentyfikator . '.wtz' );

			przekierowanie( '?id=ustawieniaStrony&zmienionoIdentyfikator=1&b=' . $nowyIdentyfikator );

		}

	}

	if ( $_GET['zmienionoIdentyfikator'] )
		$_GET['zmienionoIdentyfikator'] = false;

	if ( empty($wtKomunikat) and empty(komunikat()) )
		komunikat(1);
	elseif ( empty(komunikat()) )
		$komunikat($wtKomunikat);

	$odczytStrony = odczytStrony( ID2, $_GET['szkic'] );  // ponowne pobranie danych w celu odświeżenia

}

if ( !$odczytStrony )
	komunikat( 'zle.Strona z identyfikatorem <strong>' . ID2 . '</strong> nie istnieje.' );
elseif ( !$odczytTypu )
	komunikat( 'zle.Typ zawartości strony <strong>' . $odczytStrony['typ'] . '</strong> nie istnieje.' );

if ( $_GET['zmienionoIdentyfikator'] )
	komunikat( 'dob.Strona została zapisana pod nowym identyfikatorem.' );

include ('/../naglowek.php');
?>
<h2>Ustawienia strony <?php echo ( !empty($odczytStrony['tytul']) ) ? '&bdquo;'.$odczytStrony['tytul'].'&rdquo;' : '';  ?></h2>

<form method="post">

<?php
if ( $odczytTypu['informacje']['ustawienia'] ) {
	$wtPrzedZapisaniemUstawien = false;
	include( $lokalizacjaTypu . '/typy/' . $odczytStrony['typ'] . '/ustawienia.php' );
}
elseif ( $odczytTypu != false ) {
?>
<h3>Ustawienia indywidualne</h3>

<p class="informacja">Ten typ zawartości strony nie posiada dodatkowych ustawień.</p>
<?php
}
?>

<h3>Ustawienia ogólne</h3>

<table>
	<tr> <td>Tytuł strony:</td> <td><input type="text" name="tytul" value="<?php echo $odczytStrony['tytul'] ?>" required /></td> </tr>
	<tr> <td>Tytuł strony w menu:</td> <td><input type="text" name="tytulMenu" value="<?php echo $odczytStrony['tytulMenu'] ?>" /></td> </tr>
	<tr> <td>Tytuł strony na pasku tytułowym:</td> <td><input type="text" name="tytulTitle" value="<?php echo $odczytStrony['tytulTitle'] ?>" /></td> </tr>
	<tr> <td>Identyfikator strony:</td> <td><input type="text" name="identyfikator" value="<?php echo ID2 ?>" /></td> </tr>
</table>

<h3>Informacje dla wyszukiwarek</h3>

<table>
	<tr> <td>Opis strony:</td> <td><textarea name="wyszukiwarkiOpis"><?php echo $odczytStrony['wyszukiwarkiOpis'] ?></textarea></td> </tr>
	<tr> <td>Słowa kluczowe strony:</td> <td><input type="text" name="wyszukiwarkiSlowaKluczowe" value="<?php echo $odczytStrony['wyszukiwarkiSlowaKluczowe'] ?>" /></td> </tr>
</table>

<p class="przyciskWysylania"><input <?php wylaczElement($odczytTypu,false); ?> type="submit" value="Zapisz ustawienia strony" /></p>

</form>
<?php
include ('/../stopka.php');