<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( !odczytStrony($_POST['stronaGlowna']) )    // jakby ktoś chciał przez HTML zhackować stronę głowną, to nie da rady ;-)
		$_POST['stronaGlowna'] = odczytKonf('stronaGlowna');

    zapisKonfPOST();

	komunikat(1);

}

$tablicaIstniejacychStron = listaStron();
if ( count($tablicaIstniejacychStron) > 0 ) {
	foreach ( $tablicaIstniejacychStron as $identyfikatorStrony ) {
		$odczytStrony = odczytStrony($identyfikatorStrony);
		$tablicaIstniejacychStronZTytulami[ $identyfikatorStrony ] = $odczytStrony['tytul'];
	}
}

$listaFormatowDaty = array( 'd.m.Y H:i:s' => date('d.m.Y H:i:s'), 'Y-m-d H:i:s' => date('Y-m-d H:i:s'), 'j.n.y, G:i:s' => date('j.n.y, G:i:s') );

include ('/../naglowek.php');
?>
<h2>Ustawienia witryny</h2>

<form method="post">

<h3>Ustawienia główne</h3>

<table>
	<tr> <td>Tytuł witryny:</td> <td><input type="text" name="tytul" value="<?php echo odczytKonf('tytul') ?>" /></td> </tr>
	<tr> <td>Hasło opisujące witrynę:</td> <td><input type="text" name="haslo" value="<?php echo odczytKonf('haslo') ?>" /></td> </tr>
	<tr> <td>Układ tytułu witryny w pasku przeglądarki:</td> <td><input type="text" name="ukladTytulu" value="<?php echo odczytKonf('ukladTytulu') ?>" /></td> </tr>
	<tr> <td>Adres witryny:</td> <td><input type="text" name="adres" value="<?php echo odczytKonf('adres') ?>" /></td> </tr>
	<tr> <td>Autor witryny:</td> <td><input type="text" name="autor" value="<?php echo odczytKonf('autor') ?>" /></td> </tr>
	<tr> <td>Strona główna witryny:</td> <td><select name="stronaGlowna"><?php generujListeWyboru( $tablicaIstniejacychStronZTytulami, odczytKonf('stronaGlowna') ); ?></select></td> </tr>
</table>

<p class="informacja">Oznaczenie <strong>%strona%</strong> umożliwia umieszczenie w pasku przeglądarki tytułu aktualnej strony.</p>

<h3>Typografia</h3>

<table>
	<tr>
		<td><label><input type="checkbox" name="poprawaCudzyslowy" value="1" <?php zaznaczCheckbox(odczytKonf('poprawaCudzyslowy')) ?>/>Automatyczna poprawa cudzysłowów</label></td>
		<td><label><input type="checkbox" name="poprawaInne" value="1" <?php zaznaczCheckbox(odczytKonf('poprawaInne')) ?>/>Automatyczna poprawa innych znaków</label></td>
	</tr>
	<tr>
		<td><label><input type="checkbox" name="poprawaSpojniki" value="1" <?php zaznaczCheckbox(odczytKonf('poprawaSpojniki')) ?>/>Przenoszenie spójników z końca wiersza</label></td>
		<td></td>
	</tr>
</table>

<h3>Pozostałe ustawienia</h3>

<table>
	<tr> <td>Adres e-mail:</td> <td><input type="email" name="email" value="<?php echo odczytKonf('email') ?>" /></td> </tr>
	<tr> <td>Format daty:</td> <td><select name="formatDaty"><?php generujListeWyboru( $listaFormatowDaty, odczytKonf('formatDaty') ); ?></select></td> </tr>
	<tr>
		<td><label><input type="checkbox" name="przyjazneAdresy" value="1" <?php zaznaczCheckbox(odczytKonf('przyjazneAdresy')) ?>/>Przyjazne adresy</label></td>
		<td><label><input type="checkbox" name="przerwaTechniczna" value="1" <?php zaznaczCheckbox(odczytKonf('przerwaTechniczna')) ?>/>Przerwa techniczna</label></td>
	</tr>
</table>

<p class="informacja">Podczas przerwy technicznej tylko autor witryny ma do niej dostęp.</p>

<input type="hidden" name="checkboksy" value="poprawaCudzyslowy,poprawaSpojniki,poprawaInne,przyjazneAdresy,przerwaTechniczna" />
<p class="przyciskWysylania"><input type="submit" value="Zapisz ustawienia" /></p>

</form>
<?php
include ('/../stopka.php');