<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje używane w panelu administracyjnym

function zapisKonfPOST ( ) {

	if ( isset($_POST['checkboksy']) ) {
		$checkboksy = explode(',',$_POST['checkboksy']);
		foreach ( $checkboksy as $checkbox ) {
			$wyzerowaneCheckboksy[$checkbox] = '0';
		}
		$_POST = array_merge( $wyzerowaneCheckboksy, $_POST );
	}

	unset($_POST['checkboksy']);

	zapisKonf( bezpiecznyHtml($_POST) );

}

function zapisPlikuWTKFormularz ( $tablicaZDanymi, $nazwaPliku, $bezpiecznyHtml = true ) {

	if ( isset($tablicaZDanymi['checkboksy']) ) {
		$checkboksy = explode(',',$tablicaZDanymi['checkboksy']);
		foreach ( $checkboksy as $checkbox ) {
			$wyzerowaneCheckboksy[$checkbox] = '0';
		}
		$tablicaZDanymi = array_merge( $wyzerowaneCheckboksy, $tablicaZDanymi );
	}

	unset($tablicaZDanymi['checkboksy']);

	if ( $bezpiecznyHtml )
		zapisPlikuWTK( bezpiecznyHtml($tablicaZDanymi), $nazwaPliku );
	else
		zapisPlikuWTK( $tablicaZDanymi, $nazwaPliku );

}

function zainstalowaneTypyMotywy ( $element ) {

	if ( $element != 'typy' and $element != 'motywy' )
		return false;

	$wszystkieDane   = glob( DANE   . '/' . $element . '/*/*.wtu' );
	$wszystkieSystem = glob( SYSTEM . '/' . $element . '/*/*.wtu' );
	$wszystkie       = array_merge( $wszystkieSystem, $wszystkieDane );

	if ( count($wszystkie) == 0 )
		blad( 'Nie są zainstalowane żadne typy/motywy.' );

	return  array_map ( 'usunRozszerzenie', array_map ( 'basename', $wszystkie ) );


}

function komunikat( $tresc = null ) {

	if ( empty($tresc) ) {
		$tablica = pamiecPodreczna( 'komunikat' );
		return $tablica['tresc'];
	}

	else {
		if ( $tresc == 1 )
			$tresc = 'dob.Zmiany zostały zapisane.';
		elseif ( $tresc == 2 )
			$tresc = 'zle.Wystąpił błąd.';
		$komunikat = array( 'tresc' => $tresc );
		pamiecPodreczna ( $komunikat, 'komunikat' );
	}

}

function przekierowanie ( $adres ) {

	header ( 'Location: ' . $adres );
	exit();

}

function zaznaczCheckbox ( $ustawienie, $wartoscZaznaczajaca = '1' ) {

	if ( $ustawienie == $wartoscZaznaczajaca )
		echo 'checked';

}

function wylaczElement ( $ustawienie, $wz = '1' ) {

	if ( $ustawienie == $wartoscZaznaczajaca )
		echo 'disabled';

}

function generujListeWyboru ( $tablica, $wartoscZaznaczona = null ) {

	foreach ( $tablica as $klucz => $wartosc ) {

		echo '<option';

		if ( (!is_numeric($klucz) and $klucz == $wartoscZaznaczona) or (is_numeric($klucz) and $wartosc == $wartoscZaznaczona) )
			echo ' selected';

		if ( !is_numeric($klucz) )
			echo ' value="' . $klucz . '"';

		echo '>' . $wartosc . '</option>';

	}

}

function bezpiecznyHtml ( $x ) {

	if ( is_array($x) ) {
		foreach ( $x as $nazwa => $element )
			$x[$nazwa] = bezpiecznyHtml($element);
		return $x;
	}
	else
		return htmlspecialchars($x);

}