<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje wyświetlania błędu krytycznego oraz paska debugowania

function blad ( $tresc ) {
?>

<!doctype html>

<meta charset="utf-8" />

<div style="background: #EEEEEE; position: fixed; left: 0; right: 0; top: 0; bottom: 0; opacity: 0.6 !important; z-index: 996;">&nbsp;</div>

<div style="font: 21px 'Source Sans Pro', Arial, sans-serif; position: fixed; top: 0; left: 0; right: 0;  width: 500px; margin: auto; margin-top: 10%; background: #FBFBFB; box-shadow: 0 0 4px #909090; cursor: default; text-shadow: none; z-index: 997; opacity: 1 !important; display: block;">
	<h1 style="color: #FF0000; margin: 0; padding: 0.5em; text-align: center; font-size: 2em; background: #f2f2f2; font-weight: normal; display: block; float: none; width: auto;">Błąd krytyczny</h1>
	<p  style="color: #FF0000; margin: 0; padding: 1em 0; text-align: center; font-size: 0.8em; background: #F7F7F7; display: block; float: none; width: auto;">Działanie WizyTówki zostało przerwane, ponieważ wystąpił błąd.<br />Odśwież stronę i spróbuj ponownie lub udaj się wstecz.</p>
	<p  style="color: #FF0000; margin: 0; padding: 1em 0.1em; text-align: center; display: block; float: none; width: auto;"><?php echo $tresc ?></p>
	<p  style="color: #FF0000; margin: 0; padding: 0.5em; text-align: center; background: #f2f2f2; font-size: 0.6em; display: block; float: none; width: auto;">WizyTówka <?php echo WERSJA ?></p>
</div>

<?php
}

function debugowanie ( $tresc = null ) {
	if ( !empty($tresc) )
		pamiecPodreczna( array($tresc) , 'debugowanie' );
	else {
?>

<style scoped>body {padding-bottom: 110px; !important}</style>

<div style="position: fixed; left: 0; right: 0; bottom: 0; height: 110px; display: block; background: #f5f5f5; box-shadow: 0 0 4px #909090; overflow-y: scroll; font-size: 16px; line-height: 1.3em; color: #000000; z-index: 998;">

	<div style="display: table; width: 100%; table-layout: fixed;">

		<div style="display: table-cell;">
			<p style="font-family: 'Source Sans Pro', sans-serif; font-weight: bold; margin: 0; background: #ECECEC; text-align: center;">Tablica $_POST</p>
			<pre style="white-space: pre-wrap; font-family: Inconsolata, monospace; padding: 0 0.6em;"><?php echo htmlspecialchars( var_export($_POST,true) ); ?></pre>
		</div>

		<div style="display: table-cell;">
			<p style="font-family: 'Source Sans Pro', sans-serif; font-weight: bold; margin: 0; background: #ECECEC; text-align: center; border-left: 3px solid #989898;">Pamięć podręczna WT</p>
			<pre style="white-space: pre-wrap; font-family: Inconsolata, monospace; padding: 0 0.6em"><?php echo htmlspecialchars( var_export(pamiecPodreczna(),true) ); ?></pre>
		</div>

<?php
		  if ( pamiecPodreczna('debugowanie') != false ) {
?>
		<div style="display: table-cell;">
			<p style="font-family: 'Source Sans Pro', sans-serif; font-weight: bold; margin: 0; background: #ECECEC; text-align: center; border-left: 3px solid #989898;">Informacja debugowania</p>
			<pre style="white-space: pre-wrap; font-family: Inconsolata, monospace; padding: 0 0.6em"><?php echo htmlspecialchars( var_export(pamiecPodreczna('debugowanie'),true) ); ?></pre>
		</div>
<?php
		  }
?>

	</div>

</div>

<?php
	}
}