<?php
// WizyTówka 4
if (!defined('WT')) exit();


$odczytStrony = odczytStrony( ID2, $_GET['szkic'] );

if ( $odczytStrony != false ) {

	$odczytZawartosci = odczytStrony( ID2, $_GET['szkic'], true );

	$odczytTypu = odczytTypuMotywu( 'typy', $odczytStrony['typ'] );
	if ( $odczytTypu['wlasny'] )
		$lokalizacjaTypu = DANE;
	else
		$lokalizacjaTypu = SYSTEM;

}

$wtUstawieniaStrony = &$odczytStrony;      // dla kodu typów zawartości stron
$wtZawartoscStrony  = &$odczytZawartosci;  // dla kodu typów zawartości stron
$wtDoZapisu         = null;                // dla kodu typów zawartości stron
$wtKomunikat        = null;                // dla kodu typów zawartości stron
$wtPrzycisk         = null;                // dla kodu typów zawartości stron

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $odczytStrony != false and $odczytTypu != false ) {

	if ( $odczytTypu['informacje']['ustawienia'] ) {
		$wtPrzedZapisaniemUstawien = true;
		include( $lokalizacjaTypu . '/typy/' . $odczytStrony['typ'] . '/edycja.php' );
	}

	if ( $_GET['szkic'] )
		zapisPlikuWTKFormularz ( $wtDoZapisu, 'szkice/' . ID2 . '.wtz', false );
	else
		zapisPlikuWTKFormularz ( $wtDoZapisu, 'strony/' . ID2 . '.wtz', false );

	if ( empty($wtKomunikat) )
		komunikat(1);
	else
		$komunikat($wtKomunikat);

	zapisKonf( array( 'ostatniaAktualizacja' => time() ) );  // ostatnia aktualizacja witryny

	$odczytStrony['ostatniaAktualizacja'] = time();          // ostatnia aktualizacja tej strony
	if ( $_GET['szkic'] )
		zapisPlikuWTK ( $odczytStrony, 'szkice/' . ID2 . '.wtk' );
	else
		zapisPlikuWTK ( $odczytStrony, 'strony/' . ID2 . '.wtk' );

	$odczytZawartosci = odczytStrony( ID2, $_GET['szkic'], true );  // ponowne pobranie danych w celu odświeżenia

}

if ( !$odczytStrony )
	komunikat( 'zle.Strona z identyfikatorem <strong>' . ID2 . '</strong> nie istnieje.' );

elseif ( !$odczytTypu )
	komunikat( 'zle.Typ zawartości strony <strong>' . $odczytStrony['typ'] . '</strong> nie istnieje.' );

include ('/../naglowek.php');
?>
<h2>Edycja strony <?php echo ( !empty($odczytStrony['tytul']) ) ? '&bdquo;'.$odczytStrony['tytul'].'&rdquo;' : '';  ?></h2>

<form method="post">

<?php
if ( $odczytTypu != false ) {
	$wtPrzedZapisaniemUstawien = false;
	include( $lokalizacjaTypu . '/typy/' . $odczytStrony['typ'] . '/edycja.php' );
}
else {
?>

<p style="font-size: 2.4em; color: #E4E4E4; text-shadow: 0 0 6px #E6E6E6; margin-left: 100px;">&bdquo;Inteligentny wszystko zauważa.<br />Głupi wszystko komentuje.&rdquo;</p>
<p style="font-size: 1.6em; color: #E4E4E4; text-shadow: 0 0 6px #E6E6E6; text-align: right; margin: -1em 100px 4em 0;">&mdash; Heinrich Heine</p>

<?php
}
?>

<p class="przyciskWysylania"><input <?php wylaczElement($odczytTypu,false); ?> type="submit" value="<?php echo ( empty($wtPrzycisk) ) ? 'Zapisz stronę' :  $wtPrzycisk; ?>" /></p>

</form>
<?php
include ('/../stopka.php');