<?php
// WizyTówka 4
if (!defined('WT')) exit();


$odczytElementow = odczytPlikuWTK('elementy.wtk');
if ( ID2 == 2 )
	$odczytMenu = $odczytElementow['menu']['menuDodatkowe'];
else
	$odczytMenu = $odczytElementow['menu']['menuGlowne'];

$tablicaIstniejacychStron = listaStron();
$liczbaIstniejacychStron  = count($tablicaIstniejacychStron);
$liczbaElementowMenu      = count($odczytMenu);

if ( $_SERVER['REQUEST_METHOD'] == 'POST' and $liczbaIstniejacychStron > 0 ) {

	if ( $liczbaIstniejacychStron < $liczbaElementowMenu ) {

		$_POST = array_reverse($_POST,true);

		foreach ( $_POST as $klucz => $element ) {
			if ( $juzNieWyszukujPustychElementow != true ) {
				if ( $element == '.' )
					continue;
				else
					$juzNieWyszukujPustychElementow = true;
			}
			$oczyszczone_POST[$klucz] = $element;
		}

		$_POST = array_reverse($oczyszczone_POST,true);
		$liczbaElementowMenu = count($_POST);

	}

	if ( ID2 == 2 ) {
		$odczytElementow['menu']['menuDodatkowe'] = $_POST;
		$odczytMenu = $odczytElementow['menu']['menuDodatkowe'];  // ponowne pobranie danych w celu odświeżenia
	}
	else {
		$odczytElementow['menu']['menuGlowne']    = $_POST;
		$odczytMenu = $odczytElementow['menu']['menuGlowne'];     // ponowne pobranie danych w celu odświeżenia
	}

	zapisPlikuWTK( $odczytElementow, 'elementy.wtk' );

	komunikat(1);

}

if ( $liczbaIstniejacychStron > 0 ) {

	foreach ( $tablicaIstniejacychStron as $identyfikatorStrony ) {
		$odczytStrony = odczytStrony($identyfikatorStrony);
		$tablicaIstniejacychStronZTytulami[ $identyfikatorStrony ] = $odczytStrony['tytul'];
	}
	$tablicaIstniejacychStronZTytulami['.'] = '(puste)';   // kropka tu pusty element menu

	if ( $liczbaElementowMenu > $liczbaIstniejacychStron )
		$liczbaPolWyboru = $liczbaElementowMenu;
	else
		$liczbaPolWyboru = $liczbaIstniejacychStron;

}

include ('/../naglowek.php');
?>
<h2>Menu <?php echo ( ID2 == 2 ) ? 'dodatkowe' : 'główne'; ?></h2>

<form method="post">

<?php
if ( $liczbaIstniejacychStron == 0 ) {
?>
<p class="informacja">Nie utworzono jeszcze żadnych stron.</p>
<?php
}
else {
	$odczytMotywu = odczytTypuMotywu( 'motywy', odczytKonf('motyw') );
	if ( ID2 == 2 )
		$obsluga = $odczytMotywu['mozliwosci']['menuDodatkowe'];
	else
		$obsluga = $odczytMotywu['mozliwosci']['menuGlowne'];
	if ( $obsluga == false ) {
?>
<p class="uwaga">Używany obecnie motyw nie obsługuje tego menu. Wprowadzone poniżej zmiany nie będą miały żadnego wpływu na witrynę.</p>
<?php
	}
?>
<table class="listaElementowMenu">
<?php
	for ( $i = 0; $i < $liczbaPolWyboru; ++$i ) {
		$tenElementMenu = $odczytMenu[$i];
		if ( empty($tenElementMenu) or !odczytStrony($tenElementMenu) )
			$tenElementMenu = '.';          // kropka tu pusty element menu
?>
	<tr> <td><select name="<?php echo $i; ?>"><?php generujListeWyboru( $tablicaIstniejacychStronZTytulami, $tenElementMenu ) ?></select></td> </tr>
<?php
	}
?>
</table>
<?php
}
?>

<p class="przyciskWysylania"><input type="submit" value="Zapisz menu <?php echo ( ID2 == 2 ) ? 'dodatkowe' : 'główne'; ?>" <?php wylaczElement($liczbaIstniejacychStron,0) ?> /></p>

</form>
<?php
include ('/../stopka.php');