<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	foreach ( $_FILES as $plik ) {

		if ( !empty( $plik['name'] ) ) {

			if ( $plik['size'] > odczytKonf('wysylaniePlikowMaksymalnieBajtow') ) {
				komunikat( 'zle.Plik <strong>' . $plik['name'] . '</strong> jest zbyt duży. Maks. rozmiar pliku: ' . odczytKonf('wysylaniePlikowMaksymalnieBajtow') . '. (bajty). Wysyłanie przerwano.' );
				continue;
			}

			$plik['name'] = prostaNazwa( $plik['name'], false );
			if ( !sprawdzNazwe( $plik['name'] ) ) {
				komunikat( 'zle.Nazwa pliku <strong>' . $plik['name'] . '</strong> jest niewłaściwa. Wysyłanie przerwano.' );
				continue;
			}

			if ( file_exists( odczytKonf('adresPlikow') . '/' . $plik['name'] ) ) {
				komunikat( 'zle.Plik o nazwie <strong>' . $plik['name'] . '</strong> już istnieje. Wysyłanie przerwano.' );
				continue;
			}

			if ( !is_uploaded_file( $plik['tmp_name'] ) or !move_uploaded_file ( $plik['tmp_name'], odczytKonf('adresPlikow') . '/' . $plik['name'] ) or !empty( $plik['error'] ) ) {
				komunikat( 'zle.Wystąpił błąd przy wysyłaniu pliku <strong>' . $plik['name'] . '</strong>. Wysyłanie przerwano.' );
				continue;
			}

			$ok = true;

		}

	}

	if ( $ok )
		przekierowanie( '?id=wyslanePliki&wyslanoPliki=1' );

}

include ('/../naglowek.php');
?>
<h2>Wyślij pliki</h2>

<form method="post" enctype="multipart/form-data">

<table>

<?php
for ( $a=1; $a<=odczytKonf('wysylaniePlikowIloscPol'); $a++ ) {
?>
	<tr> <td>Wybierz plik <?php echo $a ?>:</td> <td><input type="file" name="wysylaniePliku<?php echo $a ?>" value="Wybierz plik" multiple /></td> </tr>
<?php
}
?>

</table>

<p class="przyciskWysylania"><input type="submit" value="Wyślij pliki" /></p>

</form>
<?php
include ('/../stopka.php');