<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje używane w witrynie

function wtOdnosnik ( $identyfikator = IDENTYFIKATOR, $id2 = null ) {

	$adres = odczytKonf('adres') . '/';

	if ( !odczytKonf('przyjazneAdresy') )
		$adres .= '?id=';
	$adres .= $identyfikator;

	if ( !empty($id2) )
		$adres .= '&b=' . $id2;

	return $adres;

}

function wtHead() {

	$odczytStrony = pamiecPodreczna('odczytStrony');
	$odczytMotywu = pamiecPodreczna('odczytMotywu');
	$odczytTypu   = pamiecPodreczna('odczytTypu');

	echo '<meta http-equiv="content-type" content="text/html; charset=UTF-8" />' . "\n";
	echo '<meta name="generator" content="WizyTówka - http://wizytowka.tomaszgasior.kao.pl" />' . "\n";

	if ( !empty( odczytKonf('autor') ) )
		echo '<meta name="author" content="' . odczytKonf('autor') . '" />' . "\n";

	if ( !empty( odczytKonf('wyszukiwarkiOpis') or !empty($odczytStrony['wyszukiwarkiOpis']) ) ) {
		echo '<meta name="description" content="';
		echo ( empty($odczytStrony['wyszukiwarkiOpis']) ) ? odczytKonf('wyszukiwarkiOpis') : $odczytStrony['wyszukiwarkiOpis'];
		echo'" />' . "\n";
	}

	if ( !empty( odczytKonf('wyszukiwarkiSlowaKluczowe') or !empty($odczytStrony['wyszukiwarkiSlowaKluczowe']) ) ) {
		echo '<meta name="description" content="' . odczytKonf('wyszukiwarkiSlowaKluczowe');
		if ( !empty($odczytStrony['wyszukiwarkiSlowaKluczowe']) )
			echo ', ' . $odczytStrony['wyszukiwarkiSlowaKluczowe'];
		echo'" />' . "\n";
	}

	if ( $odczytMotywu['wlasny'] )
		echo '<link rel="stylesheet" href="' . odczytKonf('adres') . '/' . DANE   . '/motywy/' . odczytKonf('motyw') . '/styl.css" />' . "\n";
	else
		echo '<link rel="stylesheet" href="' . odczytKonf('adres') . '/' . SYSTEM . '/motywy/' . odczytKonf('motyw') . '/styl.css" />' . "\n";

	if ( !empty( odczytKonf('naglowekFavikona') ) )
		echo '<link rel="icon" href="' . odczytKonf('adres') . '/' . odczytKonf('adresPlikow') . '/' . odczytKonf('naglowekFavikona') . '" />' . "\n";

	if ( empty( $odczytStrony['tytulTitle'] ) )
		$odczytStrony['tytulTitle'] = 'Błąd 404';
	echo '<title>' . str_replace( '%strona%', $odczytStrony['tytulTitle'], odczytKonf('ukladTytulu') ) . '</title>' . "\n";

	if ( odczytKonf('personalizacja') != 'oryginalnyMotyw' ) {

		$persUzytk = odczytKonf('personalizacja');
		$persMotyw = $odczytMotywu['personalizacja'];

		echo '<style>' . "\n";

		if ( $persUzytk == 'tekst' or $persUzytk == 'zmianyUzytkownika' ) {

			if ( $persMotyw['krojTekstu'] ) {
				echo '@import url(http://fonts.googleapis.com/css?family=' . str_replace( ' ', '+', odczytKonf('krojTekstu') ) . ':400,700,400italic&subset=latin-ext);' . "\n";
				echo 'body { font-family: "' . odczytKonf('krojTekstu') . '", sans-serif; }' . "\n";
			}

			if ( $persMotyw['rozmiarTekstu'] )
				echo 'body { font-size: ' . odczytKonf('rozmiarTekstu')  . 'px; }' . "\n";

		}

		if ( ($persUzytk == 'szerokosc' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['szerokosc'] )
			echo 'body { max-width: ' . odczytKonf('szerokosc') . 'px; }' . "\n";

		if ( ($persUzytk == 'tlo' or $persUzytk == 'kolorystyka' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['kolorTla'] )
			echo 'body { background-color: ' . odczytKonf('kolorTla') . '; }' . "\n";

		if ( ($persUzytk == 'tlo' or $persUzytk == 'zmianyUzytkownika') and $persMotyw['obrazTla'] ) {

			echo 'body { background-image: url(' . odczytKonf('adres') . '/' . odczytKonf('adresPlikow') . '/' . odczytKonf('obrazTla') . '); ';

			$zamianaPol = array( 'lewa', 'prawa', 'gora', 'dol',    'srodek' );
			$zamianaAng = array( 'left', 'right', 'top',  'bottom', 'center' );
			echo 'background-position: ' . str_replace( $zamianaPol, $zamianaAng, odczytKonf('obrazTlaPozycja') ) . '; ';

			if ( odczytKonf('obrazTlaPowtarzanie') )
				echo 'background-repeat: repeat; ';
			else
				echo 'background-repeat: no-repeat; ';

			if ( odczytKonf('obrazTlaPrzyczepienie') )
				echo 'background-attachment: fixed; ';
			else
				echo 'background-attachment: scroll; ';

			echo '}' . "\n";

		}

		if ( $persUzytk == 'kolorystyka' or $persUzytk == 'zmianyUzytkownika' ) {

			if ( $persMotyw['kolorTekstu'] )
				echo 'body { color: ' . odczytKonf('kolorTekstu') . '; }' . "\n";

			if ( $odczytMotywu['koloryDodatkowe']['1_nazwa'] != false )
				echo str_replace( '%kolor%', odczytKonf('kolorDodatkowy1'), $odczytMotywu['koloryDodatkowe']['1_CSS'] ) . "\n";
			if ( $odczytMotywu['koloryDodatkowe']['2_nazwa'] != false )
				echo str_replace( '%kolor%', odczytKonf('kolorDodatkowy2'), $odczytMotywu['koloryDodatkowe']['2_CSS'] ) . "\n";

		}

		echo '</style>' . "\n";

	}

}

function wtNaglowek() {

	$odczytMotywu = pamiecPodreczna('odczytMotywu');

	if ( empty( odczytKonf('naglowekNiestandardowy') ) )
		$tekstNaglowka = tekst( odczytKonf('tytul') );
	else
		$tekstNaglowka = tekst( odczytKonf('naglowekNiestandardowy') );

	echo '<h1><a href="' . odczytKonf('adres') . '">';

	if ( !empty( odczytKonf('naglowekLogo') ) and $odczytMotywu['mozliwosci']['logo'] == true )
		echo '<img src="' . odczytKonf('adres') . '/' . odczytKonf('adresPlikow') . '/' . odczytKonf('naglowekLogo') . '" alt="' . $tekstNaglowka . '" />';
	else
		echo $tekstNaglowka;

	echo '</a></h1>';

	if ( !empty( odczytKonf('haslo') ) )
		echo "\n" . '<p>' . tekst( odczytKonf('haslo') ) . '</p>';

}

function wtMenu ( $menu = 1, $znacznikPrzed = '<li>', $znacznikPo = '</li>' ) {

	$odczytElementow = odczytPlikuWTK('elementy.wtk',true);

	if ( $menu == 2 )
		$menu = $odczytElementow['menu']['menuDodatkowe'];
	else
		$menu = $odczytElementow['menu']['menuGlowne'];

	foreach ( $menu as $identyfikatorStrony ) {

		if ( $identyfikatorStrony == '.' )
			continue;

		$odczytStrony = odczytStrony($identyfikatorStrony);

		if ( $odczytStrony == false )
			continue;
		else {
			echo $znacznikPrzed . '<a href="' . wtOdnosnik($identyfikatorStrony) . '"';
			if ( $identyfikatorStrony == IDENTYFIKATOR )
				echo ' class="wtAktualnaStrona"';
			echo '>' . tekst($odczytStrony['tytulMenu']) . '</a>' . $znacznikPo . "\n";
		}

	}

}

function wtObszar ( $obszar = 1 ) {

	$odczytElementow = odczytPlikuWTK('elementy.wtk',true);

	if ( $obszar == 2 )
		echo tekst( $odczytElementow['obszary']['obszarDodatkowy'], true );
	else
		echo tekst( $odczytElementow['obszary']['obszarBoczny'], true );

}

function wtStopka ( $separator = '<span>|</span>', $informacjeDodatkowe = null ) {

	if ( odczytKonf('stopkaAutor') ) {

		$tresc = '&copy; ';

		if ( empty( odczytKonf('autor') ) )
			$tresc .= odczytKonf('tytul');
		else
			$tresc .= odczytKonf('autor');

		$tresc .= ' ' . date('Y') . ' %sep% ';

	}

	if ( !empty($informacjeDodatkowe) )
		$tresc .= $informacjeDodatkowe . ' %sep% ';

	if ( !empty( odczytKonf('stopkaDodatkowo') ) )
		$tresc .= odczytKonf('stopkaDodatkowo') . ' %sep% ';

	if ( odczytKonf('stopkaPanelAdmin') )
		$tresc .= '<a href="admin.php">Administracja</a> %sep% ';

	$tresc .= '<a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">WizyTówka</a>';

	if ( odczytKonf('stopkaOstatniaAktualizacja') == 'witryna' )
		$ostatniaAktualizacja = pokazDate( odczytKonf('ostatniaAktualizacja') );
	elseif ( odczytKonf('stopkaOstatniaAktualizacja') == 'strona' ) {
		$odczytStrony = pamiecPodreczna('odczytStrony');
		$ostatniaAktualizacja = pokazDate( $odczytStrony['ostatniaAktualizacja'] );
	}

	echo str_replace( array('%sep%','%aktualizacja%'), array($separator,$ostatniaAktualizacja), $tresc );

}

function wtTytulStrony() {

	$odczytStrony = pamiecPodreczna('odczytStrony');

	if ( !$odczytStrony )
		echo 'Strona nie istnieje';
	else
		echo '<a href="' . wtOdnosnik() . '">' . $odczytStrony['tytul'] . '</a>';

}

function wtZawartosc() {

	$odczytStrony = pamiecPodreczna('odczytStrony');

	if ( $odczytStrony != false ) {

		$odczytZawartosci = pamiecPodreczna('odczytZawartosci');
		$odczytTypu       = pamiecPodreczna('odczytTypu');

		$wtUstawieniaStrony = &$odczytStrony;      // dla kodu typów zawartości stron
		$wtZawartoscStrony  = &$odczytZawartosci;  // dla kodu typów zawartości stron

		if ( $odczytTypu['wlasny'] )
			include( DANE   . '/typy/' . $odczytStrony['typ'] . '/witryna.php' );
		else
			include( SYSTEM . '/typy/' . $odczytStrony['typ'] . '/witryna.php' );

		if ( $odczytTypu['zapisWWitrynie'] ) {
			zapisPlikuWTK ( $odczytStrony,     'strony/' . IDENTYFIKATOR . '.wtk' );
			zapisPlikuWTK ( $odczytZawartosci, 'strony/' . IDENTYFIKATOR . '.wtz' );
		}

	}

	else {
		header('"HTTP/1.0 404 Not Found');
		include( SYSTEM . '/404.php' );
	}

}



















